### Virtual Method

# PapersDocument DocumentText get_text_in_area

since: 47

#### Declaration [src]

    gchar*
    get_text_in_area (
      PpsDocumentText* document_text,
      PpsPage* page,
      PpsRectangle* area
    )

#### Description

No description available.

Available since: 47

#### Parameters

`page`

  Type: `PpsPage`

  A `PpsPage` of that document.

  The data is owned by the caller of the method.

`area`

  Type: `PpsRectangle`

  A `PpsRectangle` on that page.

  The data is owned by the caller of the method.

#### Return value

Type: `gchar*`

The text inside the area of the specified page or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.